Package io.github.jdbcx

# Class WrappedConnectionPoolDataSource

java.lang.Object
io.github.jdbcx.WrappedConnectionPoolDataSource

All Implemented Interfaces:
  `CommonDataSource`, `ConnectionPoolDataSource`

public class WrappedConnectionPoolDataSource extends Object implements ConnectionPoolDataSource
This class serves as a wrapper for a `ConnectionPoolDataSource`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final ConnectionPoolDataSource`
`ds`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`WrappedConnectionPoolDataSource(ConnectionPoolDataSource ds)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getLoginTimeout()`
`PrintWriter`
`getLogWriter()`
`Logger`
`getParentLogger()`
`PooledConnection`
`getPooledConnection()`
`PooledConnection`
`getPooledConnection(String user, String password)`
`static WrappedConnectionPoolDataSource`
`of(ConnectionPoolDataSource ds)`
`void`
`setLoginTimeout(int seconds)`
`void`
`setLogWriter(PrintWriter out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.CommonDataSource

`createShardingKeyBuilder`

### Methods inherited from interface javax.sql.ConnectionPoolDataSource

`createPooledConnectionBuilder`

## Field Details

### ds

protected final ConnectionPoolDataSource ds

## Constructor Details

### WrappedConnectionPoolDataSource

protected WrappedConnectionPoolDataSource(ConnectionPoolDataSource ds)

## Method Details

### of

public static WrappedConnectionPoolDataSource of(ConnectionPoolDataSource ds)

### getParentLogger

public Logger getParentLogger() throws SQLFeatureNotSupportedException

Specified by:
  `getParentLogger` in interface `CommonDataSource`
Throws:
  `SQLFeatureNotSupportedException`

### getPooledConnection

public PooledConnection getPooledConnection() throws SQLException

Specified by:
  `getPooledConnection` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`

### getPooledConnection

public PooledConnection getPooledConnection(String user, String password) throws SQLException

Specified by:
  `getPooledConnection` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`

### getLogWriter

public PrintWriter getLogWriter() throws SQLException

Specified by:
  `getLogWriter` in interface `CommonDataSource`
Specified by:
  `getLogWriter` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`

### setLogWriter

public void setLogWriter(PrintWriter out) throws SQLException

Specified by:
  `setLogWriter` in interface `CommonDataSource`
Specified by:
  `setLogWriter` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`

### setLoginTimeout

public void setLoginTimeout(int seconds) throws SQLException

Specified by:
  `setLoginTimeout` in interface `CommonDataSource`
Specified by:
  `setLoginTimeout` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`

### getLoginTimeout

public int getLoginTimeout() throws SQLException

Specified by:
  `getLoginTimeout` in interface `CommonDataSource`
Specified by:
  `getLoginTimeout` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`